Subject: Re: linux-next: build failure after merge of the irqchip tree

From: Michal Simek <[email-masked]>
Date: Thu, 26 Mar 2020 08:06:24 +0100

Hi Stephen,

On 26. 03. 20 7:36, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 23 Mar 2020 17:59:46 +1100 Stephen Rothwell <[email-masked]> wrote:
>>
>> After merging the irqchip tree, today's linux-next build (powerpc
>> ppc44x_defconfig) failed like this:
>>
>> drivers/irqchip/irq-xilinx-intc.c: In function 'xil_intc_handle_irq':
>> drivers/irqchip/irq-xilinx-intc.c:176:10: error: implicit declaration of function 'handle_domain_irq'; did you mean 'handle_bad_irq'? [-Werror=implicit-function-declaration]
>>   176 |    ret = handle_domain_irq(irqc->root_domain, hwirq, regs);
>>       |          ^~~~~~~~~~~~~~~~~
>>       |          handle_bad_irq
>> drivers/irqchip/irq-xilinx-intc.c: In function 'xilinx_intc_of_init':
>> drivers/irqchip/irq-xilinx-intc.c:253:3: error: implicit declaration of function 'set_handle_irq'; did you mean 'generic_handle_irq'? [-Werror=implicit-function-declaration]
>>   253 |   set_handle_irq(xil_intc_handle_irq);
>>       |   ^~~~~~~~~~~~~~
>>       |   generic_handle_irq
>>
>> Caused by commit
>>
>>   a0789993bf82 ("irqchip/xilinx: Enable generic irq multi handler")
>>
>> I have reverted that commit (and commit
>>
>>   9c2d4f525c00 ("irqchip/xilinx: Do not call irq_set_default_host()")
>>
>> that conflicted with the other revert).
> 
> I am still getting these errors.
> 

Marc: Can you please respond my email I sent on Monday when Stephen
reported this issue?

Thanks,
Michal